# Actions

- [check](https://docs.pylenium.io/element-commands/actions/check.md): The command to select a checkbox or radio buttons.
- [clear](https://docs.pylenium.io/element-commands/actions/clear.md): The command to clear the input of the current element.
- [click](https://docs.pylenium.io/element-commands/actions/click.md): The command to click the element.
- [deselect](https://docs.pylenium.io/element-commands/actions/deselect.md): The command to deselect an \<option> within a multi \<select> element.
- [double\_click](https://docs.pylenium.io/element-commands/actions/double_click.md): The command to double click the element.
- [drag\_to](https://docs.pylenium.io/element-commands/actions/drag_to.md): The command to drag the current element to another element given its CSS selector.
- [drag\_to\_element](https://docs.pylenium.io/element-commands/actions/drag_to_element.md): The command to drag the current element to the given element.
- [focus](https://docs.pylenium.io/element-commands/actions/focus.md): The command to switch focus to the element.
- [hover](https://docs.pylenium.io/element-commands/actions/hover.md): The command to hover the element.
- [right\_click](https://docs.pylenium.io/element-commands/actions/right_click.md): The command to right-click the element.
- [scroll\_into\_view](https://docs.pylenium.io/element-commands/actions/scroll_into_view.md): The command to scroll this element into the viewport
- [select\_by\_index](https://docs.pylenium.io/element-commands/actions/select.md): The command to select an \<option> by its index within a \<select> dropdown element.
- [select\_by\_text](https://docs.pylenium.io/element-commands/actions/select_many.md): The command to select an \<option> by its text within a \<select> dropdown element.
- [select\_by\_value](https://docs.pylenium.io/element-commands/actions/select_many-1.md): The command to select an \<option> by its value within a \<select> dropdown element.
- [submit](https://docs.pylenium.io/element-commands/actions/submit.md): The command to submit a form or input element.
- [type](https://docs.pylenium.io/element-commands/actions/type.md): The command to type keys into a field, input or text box.
- [uncheck](https://docs.pylenium.io/element-commands/actions/uncheck.md): The command to deselect checkboxes and radio buttons.
- [upload](https://docs.pylenium.io/element-commands/actions/upload.md): The command to upload a file to the element.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pylenium.io/element-commands/actions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
